Debian Bug report logs - #601003
slim does not set at_console permission

version graph

Package: consolekit; Maintainer for consolekit is Robert Millan <rmh@debian.org>; Source for consolekit is src:consolekit.

Reported by: Vincent Bernat <bernat@debian.org>

Date: Fri, 22 Oct 2010 12:21:01 UTC

Severity: important

Tags: moreinfo

Merged with 597937, 598150, 612392, 613415, 639296, 665973

Found in versions consolekit/0.4.2-1, consolekit/0.4.3-1, consolekit/0.4.4-1, consolekit/0.4.5-3, consolekit/0.4.3-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Bug#601003; Package slim. (Fri, 22 Oct 2010 12:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
New Bug report received and forwarded. Copy sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>. (Fri, 22 Oct 2010 12:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: slim does not set at_console permission
Date: Fri, 22 Oct 2010 14:16:28 +0200
Package: slim
Version: 1.3.1-7
Severity: normal

Hi!

After using slim as login manager, I am not considered as a local user
anymore. ck-list-sessions tells me:
 is-local = FALSE

Therefore, there is many things handled by policykit or dbus that I am
not allowed to do. Maybe this is related to #476248. I am not familiar
enough with this to tell.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages slim depends on:
ii  debconf [debconf-2.0]         1.5.36     Debian configuration management sy
ii  libc6                         2.11.2-6   Embedded GNU C Library: Shared lib
ii  libgcc1                       1:4.4.5-5  GCC support library
ii  libjpeg62                     6b1-1      The Independent JPEG Group's JPEG 
ii  libpam0g                      1.1.1-6.1  Pluggable Authentication Modules l
ii  libpng12-0                    1.2.44-1   PNG library - runtime
ii  libstdc++6                    4.4.5-5    The GNU Standard C++ Library v3
ii  libx11-6                      2:1.3.3-3  X11 client-side library
ii  libxft2                       2.1.14-2   FreeType-based font drawing librar
ii  libxmu6                       2:1.0.5-2  X11 miscellaneous utility library

Versions of packages slim recommends:
ii  xterm                         264-1      X terminal emulator

Versions of packages slim suggests:
pn  scrot                         <none>     (no description available)

-- debconf information:
* shared/default-x-display-manager: slim




Information forwarded to debian-bugs-dist@lists.debian.org, Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Bug#601003; Package slim. (Fri, 22 Oct 2010 12:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@luffy.cx>:
Extra info received and forwarded to list. Copy sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>. (Fri, 22 Oct 2010 12:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 601003@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@luffy.cx>
To: <601003@bugs.debian.org>, <control@bugs.debian.org>, <597937@bugs.debian.org>
Subject: Re: slim does not set at_console permission
Date: Fri, 22 Oct 2010 14:32:46 +0200
reassign 601003 consolekit
forcemerge 597937 601003
thanks

On Fri, 22 Oct 2010 14:16:28 +0200, Vincent Bernat <bernat@debian.org>
wrote:

> After using slim as login manager, I am not considered as a local user
> anymore. ck-list-sessions tells me:
>  is-local = FALSE
> 
> Therefore, there is many things handled by policykit or dbus that I am
> not allowed to do. Maybe this is related to #476248. I am not familiar
> enough with this to tell.

Since consolekit stuff is also handled by Xsession, it seems the problem
lies in consolekit himself. I merge this bug with #597397.

> 
> -- System Information:
> Debian Release: squeeze/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (1, 'experimental')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
> Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages slim depends on:
> ii  debconf [debconf-2.0]         1.5.36     Debian configuration
> management sy
> ii  libc6                         2.11.2-6   Embedded GNU C Library:
> Shared lib
> ii  libgcc1                       1:4.4.5-5  GCC support library
> ii  libjpeg62                     6b1-1      The Independent JPEG
Group's
> JPEG 
> ii  libpam0g                      1.1.1-6.1  Pluggable Authentication
> Modules l
> ii  libpng12-0                    1.2.44-1   PNG library - runtime
> ii  libstdc++6                    4.4.5-5    The GNU Standard C++
Library
> v3
> ii  libx11-6                      2:1.3.3-3  X11 client-side library
> ii  libxft2                       2.1.14-2   FreeType-based font drawing
> librar
> ii  libxmu6                       2:1.0.5-2  X11 miscellaneous utility
> library
> 
> Versions of packages slim recommends:
> ii  xterm                         264-1      X terminal emulator
> 
> Versions of packages slim suggests:
> pn  scrot                         <none>     (no description available)
> 
> -- debconf information:
> * shared/default-x-display-manager: slim




Bug reassigned from package 'slim' to 'consolekit'. Request was from Vincent Bernat <bernat@luffy.cx> to control@bugs.debian.org. (Fri, 22 Oct 2010 12:36:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions slim/1.3.1-7. Request was from Vincent Bernat <bernat@luffy.cx> to control@bugs.debian.org. (Fri, 22 Oct 2010 12:36:07 GMT) Full text and rfc822 format available.

Forcibly Merged 597937 598150 601003. Request was from Vincent Bernat <bernat@luffy.cx> to control@bugs.debian.org. (Fri, 22 Oct 2010 12:36:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#601003; Package consolekit. (Sun, 24 Oct 2010 11:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 24 Oct 2010 11:48:03 GMT) Full text and rfc822 format available.

Message #21 received at 601003@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: <601003@bugs.debian.org>
Subject: Re: slim does not set at_console permission
Date: Sun, 24 Oct 2010 13:46:02 +0200
[Message part 1 (text/plain, inline)]
OoO En ce  début d'après-midi nuageux du vendredi  22 octobre 2010, vers
14:32, je disais:

>> After using slim as login manager, I am not considered as a local user
>> anymore. ck-list-sessions tells me:
>> is-local = FALSE
>> 
>> Therefore, there is many things handled by policykit or dbus that I am
>> not allowed to do. Maybe this is related to #476248. I am not familiar
>> enough with this to tell.

> Since consolekit stuff is also handled by Xsession, it seems the problem
> lies in consolekit himself. I merge this bug with #597397.

It seems that there is two bugs in this bug report:
 - the one reported by James which explicitely uses ck-launch-session
 - the one reported by Fernando and relayed by myself

For the later bug,  we rely on /etc/X11/Xsession.d/90consolekit. Reading
carefully  this script,  I think  that  it does  not work  at all.   The
function is_on_console() returns 1 (which means false) when the user has
a display string and 0 (which means true) otherwise. The function should
returns 1 when the user has  no display string. Therefore, when this was
working with consolekit 0.4.1-4, the script has nothing to do with it.

I  did   not  test  if   everything  works  back  when   correcting  the
is_on_console() function but I suppose that this is not true since James
is  not  able  to  be  recognized  as  a  local  user  despite  invoking
ck-launch-session directly.
-- 
BOFH excuse #47:
Complete Transient Lockout
[Message part 2 (application/pgp-signature, inline)]

Bug Marked as found in versions consolekit/0.4.3-1. Request was from Fernando Lemos <fernandotcl@gmail.com> to control@bugs.debian.org. (Sat, 20 Nov 2010 19:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#601003; Package consolekit. (Tue, 30 Nov 2010 18:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@luffy.cx>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 30 Nov 2010 18:12:06 GMT) Full text and rfc822 format available.

Message #28 received at 601003@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@luffy.cx>
To: <601003@bugs.debian.org>, <597937@bugs.debian.org>, 598150@bugs.debian.org
Subject: Who should initialize consolekit?
Date: Tue, 30 Nov 2010 19:08:47 +0100
Hello,

This  bug  is  rather  annoying  for  me since  many  things  depend  on
consolekit to tell if the user is allowed to do certain actions.

It seems that GDM interacts  itself with consolekit and therefore is not
affected by this bug. Should each DM handle consolekit by itself? Should
each DM  use pam_ck_connector.so module  in its PAM configuration  if it
does not handle consolekit directly?

Maybe  an easy  fix for  those bugs  is to  ask DM  maintainer to  add a
session optional pam_ck_connector.so?
-- 
 /*
  * For moronic filesystems that do not allow holes in file.
  * We may have to extend the file.
  */
	2.4.0-test2 /usr/src/linux/fs/buffer.c




Bug Marked as found in versions consolekit/0.4.3-2. Request was from Fernando Lemos <fernandotcl@gmail.com> to control@bugs.debian.org. (Mon, 06 Dec 2010 23:12:06 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Fernando Lemos <fernandotcl@gmail.com> to control@bugs.debian.org. (Mon, 06 Dec 2010 23:12:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#601003; Package consolekit. (Sun, 20 Feb 2011 14:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fernando Lemos <fernandotcl@gmail.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 20 Feb 2011 14:36:07 GMT) Full text and rfc822 format available.

Message #37 received at 601003@bugs.debian.org (full text, mbox):

From: Fernando Lemos <fernandotcl@gmail.com>
To: 597937@bugs.debian.org, 598150@bugs.debian.org, 601003@bugs.debian.org
Date: Sun, 20 Feb 2011 11:32:58 -0300
It looks like this is the way upstream ConsoleKit wants it. In order
to get an active local session, you must open a session informing
stuff like the UID and TTY. ck-launch-session doesn't do that and I
find it unlikely that it'll ever do that because, to the best of my
knowledge, the way XDM and friends run ck-launch-session, there's no
way to gather the required information. In other words, even if
ck-launch-session were modified to allow it to launch an active local
session, it would still require patching the DMs.

So the solution seems to be patching the DMs. It looks like Mandriva
and OpenSUSE already patch XDM:

https://bugs.freedesktop.org/show_bug.cgi?id=17325

It also looks like upstream doesn't care much about this patch, which
is understandable given that ConsoleKit is a relatively new technology
and some important things that depend on it seem specific to Linux. I
applied the patches to the Debian package, but ran out of time trying
to make the package link because of the new DSO linking rules. I
intend to complete it in a few weeks when I get some spare time.

So, in short, I believe this won't be fixed in ConsoleKit and we can
post bug reports (priority wishlist) against the DMs.

Regards,




Forcibly Merged 597937 598150 601003 612392 613415. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 15 Mar 2011 12:15:09 GMT) Full text and rfc822 format available.

Forcibly Merged 597937 598150 601003 612392 613415 639296. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 25 Aug 2011 22:39:06 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 28 Feb 2012 19:15:06 GMT) Full text and rfc822 format available.

Added indication that 601003 affects network-manager Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Tue, 27 Mar 2012 14:57:13 GMT) Full text and rfc822 format available.

Marked as found in versions consolekit/0.4.5-3. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Tue, 27 Mar 2012 15:12:13 GMT) Full text and rfc822 format available.

Merged 597937 598150 601003 612392 613415 639296 665973 Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Tue, 27 Mar 2012 15:12:20 GMT) Full text and rfc822 format available.

Added indication that 601003 affects xdm Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Fri, 04 Jan 2013 12:57:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:30:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.